## postgresql-8.3 8.3.1

=== src/interfaces/libpq/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/interfaces/libpq library
#
# Portions Copyright (c) 1996-2008, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/interfaces/libpq/Makefile,v 1.159.2.1 2008/03/05 05:39:17 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/interfaces/libpq
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global


# shared library parameters
NAME= pq
SO_MAJOR_VERSION= 5
SO_MINOR_VERSION= 1
DLTYPE= library

override CPPFLAGS :=  -DFRONTEND -I$(srcdir) $(CPPFLAGS) -I$(top_builddir)/src/port
ifneq ($(PORTNAME), win32)
override CFLAGS += $(PTHREAD_CFLAGS)
endif

# Need to recompile any libpgport object files because we need these
# object files to use the same compile flags as libpq.  If we used
# the object files from libpgport, this would not be true on all
# platforms.
LIBS := $(LIBS:-lpgport=)

OBJS=	fe-auth.o fe-connect.o fe-exec.o fe-misc.o fe-print.o fe-lobj.o \
	fe-protocol2.o fe-protocol3.o pqexpbuffer.o pqsignal.o fe-secure.o \
	md5.o ip.o wchar.o encnames.o noblock.o pgstrcasecmp.o thread.o \
	$(filter crypt.o getaddrinfo.o inet_aton.o open.o snprintf.o strerror.o strlcpy.o win32error.o, $(LIBOBJS))

ifeq ($(PORTNAME), cygwin)
override shlib = cyg$(NAME)$(DLSUFFIX)
endif

ifeq ($(PORTNAME), win32)
OBJS += win32.o pgsleep.o libpqrc.o
DLL_DEFFILE=libpqdll.def

libpqrc.o: libpq.rc
	windres -i libpq.rc -o libpqrc.o

ifeq ($(enable_thread_safety), yes)
OBJS += pthread-win32.o
endif
endif


# Add libraries that libpq depends (or might depend) on into the
# shared library link.  (The order in which you list them here doesn't
# matter.)
ifneq ($(PORTNAME), win32)
SHLIB_LINK += $(filter -lcrypt -ldes -lcom_err -lcrypto -lk5crypto -lkrb5 -lgssapi_krb5 -lgss -lssl -lsocket -lnsl -lresolv -lintl, $(LIBS)) $(LDAP_LIBS_FE) $(PTHREAD_LIBS)
else
SHLIB_LINK += $(filter -lcrypt -ldes -lcom_err -lcrypto -lk5crypto -lkrb5 -lgssapi32 -lssl -lsocket -lnsl -lresolv -lintl $(PTHREAD_LIBS), $(LIBS)) $(LDAP_LIBS_FE)
endif
ifeq ($(PORTNAME), win32)
SHLIB_LINK += -lshfolder -lwsock32 -lws2_32 -lsecur32 $(filter -leay32 -lssleay32 -lcomerr32 -lkrb5_32, $(LIBS))
endif


all: def-files $(srcdir)/libpq.rc all-lib

# Shared library stuff
include $(top_srcdir)/src/Makefile.shlib
backend_src = $(top_srcdir)/src/backend


# We use several backend modules verbatim, but since we need to
# compile with appropriate options to build a shared lib, we can't
# necessarily use the same object files as the backend uses. Instead,
# symlink the source files in here and build our own object file.
# For port modules, this only happens if configure decides the module
# is needed (see filter hack in OBJS, above).

crypt.c getaddrinfo.c inet_aton.c noblock.c open.c pgstrcasecmp.c snprintf.c strerror.c strlcpy.c thread.c win32error.c pgsleep.c: % : $(top_srcdir)/src/port/%
	rm -f $@ && $(LN_S) $< .

md5.c ip.c: % : $(backend_src)/libpq/%
	rm -f $@ && $(LN_S) $< .

encnames.c wchar.c : % : $(backend_src)/utils/mb/%
	rm -f $@ && $(LN_S) $< .


# We need several not-quite-identical variants of .DEF files to build libpq
# DLLs for Windows.  These are made from the single source file exports.txt.
# Since we can't assume that Windows boxes will have sed, the .DEF files are
# always built and included in distribution tarballs.

distprep: def-files $(srcdir)/libpq.rc

.PHONY: def-files

def-files: $(srcdir)/libpqdll.def $(srcdir)/libpqddll.def $(srcdir)/blibpqdll.def

$(srcdir)/libpqdll.def: exports.txt
	echo '; DEF file for MS VC++' > $@
	echo 'LIBRARY LIBPQ' >> $@
	echo 'EXPORTS' >> $@
	sed -e '/^#/d' -e 's/^\(.* \)\([0-9][0-9]*\)/    \1@ \2/' < $< >> $@

$(srcdir)/libpqddll.def: exports.txt
	echo '; DEF file for MS VC++' > $@
	echo 'LIBRARY LIBPQD' >> $@
	echo 'EXPORTS' >> $@
	sed -e '/^#/d' -e 's/^\(.* \)\([0-9][0-9]*\)/    \1@ \2/' < $< >> $@

$(srcdir)/blibpqdll.def: exports.txt
	echo '; DEF file for Borland C++ Builder' > $@
	echo 'LIBRARY BLIBPQ' >> $@
	echo 'EXPORTS' >> $@
	sed -e '/^#/d' -e 's/^\(.* \)\([0-9][0-9]*\)/    _\1@ \2/' < $< >> $@
	echo '' >> $@
	echo '; Aliases for MS compatible names' >> $@
	sed -e '/^#/d' -e 's/^\(.* \)\([0-9][0-9]*\)/    \1= _\1/' < $< | sed 's/ *$$//' >> $@

# Where possible, restrict the symbols exported by the library to just the
# official list, so as to avoid unintentional ABI changes.  On recent Darwin
# this also quiets multiply-defined-symbol warnings in programs that use
# libpgport along with libpq.

ifeq ($(PORTNAME), darwin)
$(shlib): exports.list

exports.list: exports.txt
	$(AWK) '/^[^#]/ {printf "_%s\n",$$1}' $< >$@

exported_symbols_list = -exported_symbols_list exports.list
endif

ifeq ($(PORTNAME), linux)
$(shlib): exports.list

exports.list: exports.txt
	echo '{ global:' >$@
	$(AWK) '/^[^#]/ {printf "%s;\n",$$1}' $< >>$@
	echo ' local: *; };' >>$@

exported_symbols_list = -Wl,--version-script=exports.list
endif

# depend on Makefile.global to force rebuild on re-run of configure
$(srcdir)/libpq.rc: libpq.rc.in $(top_builddir)/src/Makefile.global
	sed -e 's/\(VERSION.*\),0 *$$/\1,'`date '+%y%j' | sed 's/^0*//'`'/' < $< > $@

fe-connect.o: fe-connect.c $(top_builddir)/src/port/pg_config_paths.h

$(top_builddir)/src/port/pg_config_paths.h:
	$(MAKE) -C $(top_builddir)/src/port pg_config_paths.h

install: all installdirs install-lib
	$(INSTALL_DATA) $(srcdir)/libpq-fe.h '$(DESTDIR)$(includedir)'
	$(INSTALL_DATA) $(srcdir)/libpq-int.h '$(DESTDIR)$(includedir_internal)'
	$(INSTALL_DATA) $(srcdir)/pqexpbuffer.h '$(DESTDIR)$(includedir_internal)'
	$(INSTALL_DATA) $(srcdir)/pg_service.conf.sample '$(DESTDIR)$(datadir)/pg_service.conf.sample'

installdirs:
	$(mkinstalldirs) '$(DESTDIR)$(libdir)' '$(DESTDIR)$(includedir)' '$(DESTDIR)$(includedir_internal)'

uninstall: uninstall-lib
	rm -f '$(DESTDIR)$(includedir)/libpq-fe.h' '$(DESTDIR)$(includedir_internal)/libpq-int.h' '$(DESTDIR)$(includedir_internal)/pqexpbuffer.h' '$(DESTDIR)$(datadir)/pg_service.conf.sample'

clean distclean: clean-lib
	rm -f $(OBJS) pg_config_paths.h crypt.c getaddrinfo.c inet_aton.c noblock.c open.c pgstrcasecmp.c snprintf.c strerror.c strlcpy.c thread.c md5.c ip.c encnames.c wchar.c win32error.c pgsleep.c pthread.h exports.list
# Might be left over from a Win32 client-only build
	rm -f pg_config_paths.h

maintainer-clean: distclean
	rm -f $(srcdir)/libpqdll.def $(srcdir)/libpqddll.def $(srcdir)/blibpqdll.def $(srcdir)/libpq.rc

## postgresql-8.3 8.3.3

=== Makefile ===
# The PostgreSQL make files exploit features of GNU make that other
# makes do not have. Because it is a common mistake for users to try
# to build Postgres with a different make, we have this make file
# that, as a service, will look for a GNU make and invoke it, or show
# an error message if none could be found.

# If the user were using GNU make now, this file would not get used
# because GNU make uses a make file named "GNUmakefile" in preference
# to "Makefile" if it exists. PostgreSQL is shipped with a
# "GNUmakefile". If the user hasn't run the configure script yet, the
# GNUmakefile won't exist yet, so we catch that case as well.


all check install installdirs installcheck installcheck-parallel uninstall clean distclean maintainer-clean:
	@if [ ! -f GNUmakefile ] ; then \
	   echo "You need to run the 'configure' program first. See the file"; \
	   echo "'INSTALL' for installation instructions." ; \
	   false ; \
	 fi
	@IFS=':' ; \
	 for dir in $$PATH; do \
	   for prog in gmake gnumake make; do \
	     if [ -f $$dir/$$prog ] && ( $$dir/$$prog -f /dev/null --version 2>/dev/null | grep GNU >/dev/null 2>&1 ) ; then \
	       GMAKE=$$dir/$$prog; \
	       break 2; \
	     fi; \
	   done; \
	 done; \
	\
	 if [ x"$${GMAKE+set}" = xset ]; then \
	   echo "Using GNU make found at $${GMAKE}"; \
	   $${GMAKE} $@ ; \
	 else \
	   echo "You must use GNU make to build PostgreSQL." ; \
	   false; \
	 fi

=== doc/Makefile ===
#----------------------------------------------------------------------------
#
# PostgreSQL documentation installation makefile
#
# Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/doc/Makefile,v 1.29 2007/02/09 15:55:57 petere Exp $
#
#----------------------------------------------------------------------------

# This makefile is responsible for installing the documentation. The
# files to be installed are prepared specially and are placed in this
# directory during distribution bundling. In CVS-based trees these
# files don't exist, so we skip the installation in that case.
#
# Before we install the man pages, we massage the section numbers to
# follow the local conventions.
#
# To actually build the documenation, look into the src/ and src/sgml
# subdirectories.

subdir = doc
top_builddir = ..
include $(top_builddir)/src/Makefile.global

.NOTPARALLEL:

ifneq ($(wildcard $(srcdir)/postgres.tar.gz),)
ifneq (,$(docdir))
found_html = yes
endif
endif

ifneq ($(wildcard $(srcdir)/man.tar.gz),)
# SCO OpenServer's man system is sufficiently different to not bother.
ifneq ($(PORTNAME), sco)
found_man = yes
endif
endif


ifdef found_man
ifndef sqlmansect
sqlmansect = 7
endif
sqlmansectnum = $(shell expr X'$(sqlmansect)' : X'\([0-9]\)')

all: man1/.timestamp man$(sqlmansectnum)/.timestamp

man1/.timestamp: man$(sqlmansect_dummy)/.timestamp
	@echo timestamp >$@

man$(sqlmansect_dummy)/.timestamp: man.tar.gz
	gzip -d -c $< | $(TAR) xf -
	for file in man1/*.1; do \
	  mv $$file $$file.bak && \
	  sed -e 's/\\fR($(sqlmansect_dummy))/\\fR($(sqlmansectnum))/' $$file.bak >$$file && \
	  rm -f $$file.bak || exit; \
	done
	@echo timestamp >$@

man$(sqlmansectnum)/.timestamp: man$(sqlmansect_dummy)/.timestamp
	$(mkinstalldirs) man$(sqlmansectnum)
	for file in man$(sqlmansect_dummy)/*.$(sqlmansect_dummy); do \
	  sed -e '/^\.TH/s/"$(sqlmansect_dummy)"/"$(sqlmansect)"/'   \
              -e 's/\\fR($(sqlmansect_dummy))/\\fR($(sqlmansectnum))/' \
	      $$file >man$(sqlmansectnum)/`basename $$file | sed 's/.$(sqlmansect_dummy)$$/.$(sqlmansect)/'` || exit; \
	done
	@echo timestamp >$@
endif # found_man


install: all installdirs
ifdef found_html
	gzip -d -c $(srcdir)/postgres.tar.gz | ( cd $(DESTDIR)$(docdir)/html && $(TAR) xf - )
endif
ifdef found_man
	for file in man1/*.1 man$(sqlmansectnum)/*.$(sqlmansect) ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(mandir)/$$file || exit; \
	done
endif


installdirs:
ifdef found_html
	$(mkinstalldirs) '$(DESTDIR)$(docdir)'/html
endif
ifdef found_man
	$(mkinstalldirs) $(addprefix '$(DESTDIR)$(mandir)'/man, 1 $(sqlmansectnum))
endif


uninstall:
ifdef found_html
	-rm -f $(addprefix $(DESTDIR)$(docdir)/html/, $(shell gunzip -c $(srcdir)/postgres.tar.gz | tar tf -))
endif
ifdef found_man
	-rm -f $(addprefix $(DESTDIR)$(mandir)/, $(shell gunzip -c $(srcdir)/man.tar.gz | tar tf - | sed -e 's,man$(sqlmansect_dummy)/,man$(sqlmansectnum)/,' -e 's/.$(sqlmansect_dummy)$$/.$(sqlmansect)/'))
endif


clean distclean maintainer-clean:
	rm -rf man1/ man$(sqlmansectnum)/ man$(sqlmansect_dummy)/
	$(MAKE) -C src $@

=== contrib/pgstattuple/Makefile ===
#-------------------------------------------------------------------------
#
# pgstattuple Makefile
#
# $PostgreSQL: pgsql/contrib/pgstattuple/Makefile,v 1.9 2007/11/10 23:59:51 momjian Exp $
#
#-------------------------------------------------------------------------

MODULE_big	= pgstattuple
OBJS		= pgstattuple.o pgstatindex.o
DATA_built	= pgstattuple.sql
DATA      	= uninstall_pgstattuple.sql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgstattuple
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== contrib/tablefunc/Makefile ===
# $PostgreSQL: pgsql/contrib/tablefunc/Makefile,v 1.9 2007/11/10 23:59:51 momjian Exp $

MODULES = tablefunc
DATA_built = tablefunc.sql
DATA = uninstall_tablefunc.sql
REGRESS = tablefunc

SHLIB_LINK += $(filter -lm, $(LIBS))

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/tablefunc
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== src/backend/access/Makefile ===
#
# Makefile for the access methods module
#
# $PostgreSQL: pgsql/src/backend/access/Makefile,v 1.13 2007/02/09 15:55:58 petere Exp $
#

subdir = src/backend/access
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

SUBDIRS	    = common gist hash heap index nbtree transam gin
SUBDIROBJS  = $(SUBDIRS:%=%/SUBSYS.o)

all: SUBSYS.o

SUBSYS.o: $(SUBDIROBJS)
	$(LD) $(LDREL) $(LDOUT) $@ $^

$(SUBDIROBJS): $(SUBDIRS:%=%-recursive) ;

.PHONY: $(SUBDIRS:%=%-recursive)
$(SUBDIRS:%=%-recursive):
	$(MAKE) -C $(subst -recursive,,$@) SUBSYS.o

clean:
	for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@ || exit; done
	rm -f SUBSYS.o

=== src/backend/catalog/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for backend/catalog
#
# $PostgreSQL: pgsql/src/backend/catalog/Makefile,v 1.65 2007/08/21 01:11:13 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/catalog
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

OBJS = catalog.o dependency.o heap.o index.o indexing.o namespace.o aclchk.o \
       pg_aggregate.o pg_constraint.o pg_conversion.o pg_depend.o pg_enum.o \
       pg_largeobject.o pg_namespace.o pg_operator.o pg_proc.o pg_shdepend.o \
       pg_type.o toasting.o

BKIFILES = postgres.bki postgres.description postgres.shdescription

all: SUBSYS.o $(BKIFILES)

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

# Note: there are some undocumented dependencies on the ordering in which
# the catalog header files are assembled into postgres.bki.  In particular,
# indexing.h had better be last, and toasting.h just before it.

POSTGRES_BKI_SRCS = $(addprefix $(top_srcdir)/src/include/catalog/,\
	pg_proc.h pg_type.h pg_attribute.h pg_class.h pg_autovacuum.h \
	pg_attrdef.h pg_constraint.h pg_inherits.h pg_index.h pg_operator.h \
	pg_opfamily.h pg_opclass.h pg_am.h pg_amop.h pg_amproc.h \
	pg_language.h pg_largeobject.h pg_aggregate.h pg_statistic.h \
	pg_rewrite.h pg_trigger.h pg_listener.h pg_description.h pg_cast.h \
	pg_enum.h pg_namespace.h pg_conversion.h pg_depend.h \
	pg_database.h pg_tablespace.h pg_pltemplate.h \
	pg_authid.h pg_auth_members.h pg_shdepend.h pg_shdescription.h \
	pg_ts_config.h pg_ts_config_map.h pg_ts_dict.h \
	pg_ts_parser.h pg_ts_template.h \
	toasting.h indexing.h \
    )

pg_includes = $(sort -I$(top_srcdir)/src/include -I$(top_builddir)/src/include)

# see explanation in ../parser/Makefile
postgres.description: postgres.bki ;

postgres.shdescription: postgres.bki ;

postgres.bki: genbki.sh $(POSTGRES_BKI_SRCS) $(top_builddir)/src/include/pg_config_manual.h
	AWK='$(AWK)' $(SHELL) $< $(pg_includes) --set-version=$(VERSION) -o postgres $(POSTGRES_BKI_SRCS)

.PHONY: install-data
install-data: $(BKIFILES) installdirs
	$(INSTALL_DATA) postgres.bki         '$(DESTDIR)$(datadir)/postgres.bki'
	$(INSTALL_DATA) postgres.description '$(DESTDIR)$(datadir)/postgres.description'
	$(INSTALL_DATA) postgres.shdescription '$(DESTDIR)$(datadir)/postgres.shdescription'
	$(INSTALL_DATA) $(srcdir)/system_views.sql '$(DESTDIR)$(datadir)/system_views.sql'
	$(INSTALL_DATA) $(srcdir)/information_schema.sql '$(DESTDIR)$(datadir)/information_schema.sql'
	$(INSTALL_DATA) $(srcdir)/sql_features.txt '$(DESTDIR)$(datadir)/sql_features.txt'

installdirs:
	$(mkinstalldirs) '$(DESTDIR)$(datadir)'

.PHONY: uninstall-data
uninstall-data:
	rm -f $(addprefix '$(DESTDIR)$(datadir)'/, $(BKIFILES) system_views.sql information_schema.sql sql_features.txt)

clean:
	rm -f SUBSYS.o $(OBJS) $(BKIFILES)

=== src/bin/scripts/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin/scripts
#
# Portions Copyright (c) 1996-2008, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/bin/scripts/Makefile,v 1.39 2008/01/01 19:45:56 momjian Exp $
#
#-------------------------------------------------------------------------

PGFILEDESC = "PostgreSQL utility"
subdir = src/bin/scripts
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

PROGRAMS = createdb createlang createuser dropdb droplang dropuser clusterdb vacuumdb reindexdb

override CPPFLAGS := -I$(top_srcdir)/src/bin/pg_dump -I$(top_srcdir)/src/bin/psql -I$(libpq_srcdir) $(CPPFLAGS)

all: submake-libpq submake-backend $(PROGRAMS)

%: %.o $(WIN32RES)
	$(CC) $(CFLAGS) $^ $(libpq_pgport) $(LDFLAGS) $(LIBS) -o $@$(X)

createdb: createdb.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
createlang: createlang.o common.o print.o mbprint.o
createuser: createuser.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
dropdb: dropdb.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
droplang: droplang.o common.o print.o mbprint.o
dropuser: dropuser.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
clusterdb: clusterdb.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
vacuumdb: vacuumdb.o common.o
reindexdb: reindexdb.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o

dumputils.c: % : $(top_srcdir)/src/bin/pg_dump/%
	rm -f $@ && $(LN_S) $< .

print.c mbprint.c : % : $(top_srcdir)/src/bin/psql/%
	rm -f $@ && $(LN_S) $< .

.PHONY: submake-backend
submake-backend:
	$(MAKE) -C $(top_builddir)/src/backend/parser keywords.o


install: all installdirs
	$(INSTALL_PROGRAM) createdb$(X)   '$(DESTDIR)$(bindir)'/createdb$(X)
	$(INSTALL_PROGRAM) dropdb$(X)     '$(DESTDIR)$(bindir)'/dropdb$(X)
	$(INSTALL_PROGRAM) createlang$(X) '$(DESTDIR)$(bindir)'/createlang$(X)
	$(INSTALL_PROGRAM) droplang$(X)   '$(DESTDIR)$(bindir)'/droplang$(X)
	$(INSTALL_PROGRAM) createuser$(X) '$(DESTDIR)$(bindir)'/createuser$(X)
	$(INSTALL_PROGRAM) dropuser$(X)   '$(DESTDIR)$(bindir)'/dropuser$(X)
	$(INSTALL_PROGRAM) clusterdb$(X)  '$(DESTDIR)$(bindir)'/clusterdb$(X)
	$(INSTALL_PROGRAM) vacuumdb$(X)   '$(DESTDIR)$(bindir)'/vacuumdb$(X)
	$(INSTALL_PROGRAM) reindexdb$(X)  '$(DESTDIR)$(bindir)'/reindexdb$(X)

installdirs:
	$(mkinstalldirs) '$(DESTDIR)$(bindir)'

uninstall:
	rm -f $(addprefix '$(DESTDIR)$(bindir)'/, $(addsuffix $(X), $(PROGRAMS)))


clean distclean maintainer-clean:
	rm -f $(addsuffix $(X), $(PROGRAMS)) $(addsuffix .o, $(PROGRAMS))
	rm -f common.o dumputils.o print.o mbprint.o $(WIN32RES)
	rm -f dumputils.c print.c mbprint.c

=== src/interfaces/libpq/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Portions Copyright (c) 1996-2008, PostgreSQL Global Development Group
 # Portions Copyright (c) 1994, Regents of the University of California
 #
-# $PostgreSQL: pgsql/src/interfaces/libpq/Makefile,v 1.159.2.1 2008/03/05 05:39:17 tgl Exp $
+# $PostgreSQL: pgsql/src/interfaces/libpq/Makefile,v 1.159.2.2 2008/04/16 14:21:22 adunstan Exp $
 #
 #-------------------------------------------------------------------------
 
@@ -20,7 +20,7 @@
 SO_MINOR_VERSION= 1
 DLTYPE= library
 
-override CPPFLAGS :=  -DFRONTEND -I$(srcdir) $(CPPFLAGS) -I$(top_builddir)/src/port
+override CPPFLAGS :=  -DFRONTEND -DUNSAFE_STAT_OK -I$(srcdir) $(CPPFLAGS) -I$(top_builddir)/src/port
 ifneq ($(PORTNAME), win32)
 override CFLAGS += $(PTHREAD_CFLAGS)
 endif

=== src/backend/access/gist/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for access/gist
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/access/gist/Makefile,v 1.17 2007/01/20 17:16:10 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/access/gist
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = gist.o gistutil.o gistxlog.o gistvacuum.o gistget.o gistscan.o \
       gistproc.o gistsplit.o

all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

clean: 
	rm -f SUBSYS.o $(OBJS)

=== src/backend/optimizer/geqo/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for the genetic query optimizer module
#
# Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/backend/optimizer/geqo/Makefile,v 1.19 2007/01/20 17:16:11 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/optimizer/geqo
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS =	geqo_copy.o geqo_eval.o geqo_main.o geqo_misc.o \
	geqo_mutation.o geqo_pool.o geqo_recombination.o \
	geqo_selection.o \
	geqo_erx.o geqo_pmx.o geqo_cx.o geqo_px.o geqo_ox1.o geqo_ox2.o

all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

clean: 
	rm -f SUBSYS.o $(OBJS)

=== src/backend/port/win32/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for backend/port/win32
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/port/win32/Makefile,v 1.11 2007/10/29 12:35:41 mha Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/port/win32
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = timer.o socket.o signal.o security.o mingwcompat.o

all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

clean: 
	rm -f SUBSYS.o $(OBJS)

=== src/backend/storage/buffer/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for storage/buffer
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/storage/buffer/Makefile,v 1.18 2007/01/20 17:16:12 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/storage/buffer
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = buf_table.o buf_init.o bufmgr.o freelist.o localbuf.o

all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

clean: 
	rm -f SUBSYS.o $(OBJS)

## postgresql-8.3 8.3.3-0maemo1

=== debian/changelog ===
postgresql-8.3 (8.3.3-0maemo1) diablo; urgency=low

  * Fixed some depency problems 

 -- Johannes Schmid <johannes.schmid@openismus.com>  Fri, 15 Aug 2008 15:41:18 +0200

postgresql-8.3 (8.3.3-0maemo0) diablo; urgency=low

  * Maemo diablo version

 -- Johannes Schmid <johannes.schmid@openismus.com>  Tue, 29 Jul 2008 21:48:53 +0200 

postgresql-8.3 (8.3.3-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream bugfix release (note that 8.3.2 was never officially released
    due to the discovery of another major bug):
    - Make pg_get_ruledef() parenthesize negative constants.
      Before this fix, a negative constant in a view or rule might be
      dumped as, say, -42::integer, which is subtly incorrect: it should
      be (-42)::integer due to operator precedence rules. Usually this
      would make little difference, but it could interact with another
      recent patch to cause PostgreSQL to reject what had been a valid
      "SELECT DISTINCT" view query. Since this could result in pg_dump
      output failing to reload, it is being treated as a high-priority
      fix. The only released versions in which dump output is actually
      incorrect are 8.3.1 and 8.2.7.
    - Make "ALTER AGGREGATE ... OWNER TO" update pg_shdepend.
      This oversight could lead to problems if the aggregate was later
      involved in a "DROP OWNED" or "REASSIGN OWNED" operation.
    - Fix incorrect archive truncation point calculation for the %r macro
      in recovery_command parameters. This could lead to data loss if a
      warm-standby script relied on %r to decide when to throw away WAL
      segment files.
    - Fix "ALTER TABLE ADD COLUMN ... PRIMARY KEY" so that the new column
      is correctly checked to see if it's been initialized to all
      non-nulls.
    - Fix "REASSIGN OWNED" so that it works on procedural languages too.
    - Fix problems with "SELECT FOR UPDATE/SHARE" occurring as a subquery
      in a query with a non-"SELECT" top-level operation.
    - Fix possible "CREATE TABLE" failure when inheriting the "same"
      constraint from multiple parent relations that inherited that
      constraint from a common ancestor.
    - Fix pg_get_ruledef() to show the alias, if any, attached to the
      target table of an "UPDATE" or "DELETE".
    - Restore the pre-8.3 behavior that an out-of-range block number in a
      TID being used in a TidScan plan results in silently not matching
      any rows. 8.3.0 and 8.3.1 threw an error instead.
    - Fix GIN bug that could result in a too many LWLocks taken failure.
    - Fix broken GiST comparison function for tsquery.
    - Fix tsvector_update_trigger() and ts_stat() to accept domains over
      the types they expect to work with.
    - Fix failure to support enum data types as foreign keys.
    - Avoid possible crash when decompressing corrupted data.
    - Fix race conditions between delayed unlinks and "DROP DATABASE".
      In the worst case this could result in deleting a newly created
      table in a new database that happened to get the same OID as the
      recently-dropped one; but of course that is an extremely
      low-probability scenario.
    - Repair two places where SIGTERM exit of a backend could leave
      corrupted state in shared memory.
    - Fix possible crash due to incorrect plan generated for an x IN
      (SELECT y FROM ...) clause when "x" and "y" have different data
      types; and make sure the behavior is semantically correct when the
      conversion from "y"'s type to "x"'s type is lossy.
    - Fix oversight that prevented the planner from substituting known
      Param values as if they were constants.
    - Fix planner failure when an indexable MIN or MAX aggregate is used
      with DISTINCT or ORDER BY.
    - Fix planner to ensure it never uses a "physical tlist" for a plan
      node that is feeding a Sort node.
    - Avoid unnecessary copying of query strings.
    - Make TransactionIdIsCurrentTransactionId() use binary search
      instead of linear search when checking child-transaction XIDs.
      This fixes some cases in which 8.3.0 was significantly slower than
      earlier releases.
    - Fix conversions between ISO-8859-5 and other encodings to handle
      Cyrillic "Yo" characters (e and E with two dots).
    - Fix several datatype input functions, notably array_in(), that were
      allowing unused bytes in their results to contain uninitialized,
      unpredictable values. This could lead to failures in which two
      apparently identical literal values were not seen as equal, resulting in
      the parser complaining about unmatched ORDER BY and DISTINCT
      expressions.
    - Fix a corner case in regular-expression substring matching
      (substring(string from pattern)).
      The problem occurs when there is a match to the pattern overall but
      the user has specified a parenthesized subexpression and that
      subexpression hasn't got a match. An example is substring('foo'
      from 'foo(bar)?'). This should return NULL, since (bar) isn't
      matched, but it was mistakenly returning the whole-pattern match
      instead (ie, foo).
    - Prevent cancellation of an auto-vacuum that was launched to prevent
      XID wraparound.
    - Improve "ANALYZE"'s handling of in-doubt tuples (those inserted or
      deleted by a not-yet-committed transaction) so that the counts it
      reports to the stats collector are more likely to be correct.
    - Fix initdb to reject a relative path for its --xlogdir (-X) option.
    - Make psql print tab characters as an appropriate number of spaces,
      rather than \x09 as was done in 8.3.0 and 8.3.1.
    - Add ECPGget_PGconn() function to ecpglib. Dropped
      00upstream-ecpg-get-connection.patch, which backported this fix.
    - Fix incorrect result from ecpg's PGTYPEStimestamp_sub() function.
    - Fix handling of continuation line markers in ecpg.
    - Fix possible crashes in "contrib/cube" functions.


=== debian/control ===
Source: postgresql-8.3
Section: misc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.7.3
XS-Python-Version: current
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), perl (>= 5.8), libreadline5-dev (>= 4.2), libssl-dev, zlib1g-dev | libz-dev, libxml2-dev, libxslt1-dev, gettext, bzip2

Package: libpq-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, libpq5 (= ${binary:Version}), libssl-dev
Conflicts: postgresql-dev (<< 7.5)
Replaces: postgresql-dev
Suggests: postgresql-doc-8.3
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-client-8.3
Architecture: any
Section: misc
Depends: ${shlibs:Depends}
Conflicts: postgresql (<< 7.5)
Suggests: postgresql-8.3, postgresql-doc-8.3
Provides: postgresql-client
Description: front-end programs for PostgreSQL 8.3
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 8.3. If you install
 PostgreSQL 8.3 on a standalone machine, you need the server package
 postgresql-8.3, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .  
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-8.3
Architecture: all
Section: doc
Conflicts: postgresql-doc (<< 7.5)
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 8.3. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-client
Architecture: all
Section: misc
Depends: postgresql-client-8.3
Description: front-end programs for PostgreSQL (latest version)
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This package always depends on the latest available database client
 package for PostgreSQL. If you install PostgreSQL on a standalone
 machine, you need the server package postgresql, too. On a network,
 you can install this package on many client machines, while the
 server package may be installed on only one machine.
 .  
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc
Architecture: all
Section: doc
Depends: postgresql-doc-8.3
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 the latest available PostgreSQL version. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make	-f 
TCL_VER := 8.4
MAJOR_VER := 8.3
DEB_TAR_SRCDIR:=postgresql-8.3.3

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

LDFLAGS+= -Wl,--as-needed
CFLAGS+= -fPIC

ifneq ($(findstring $(DEB_BUILD_ARCH), sparc alpha),)
# sparc and alpha's gcc currently miscompiles; see
# http://lists.debian.org/debian-alpha/2007/11/msg00025.html
    CFLAGS+=-O1
endif

# build should fail on test suite failures on all arches
TESTSUITE_FAIL_CMD=exit 1

DEB_DH_INSTALL_SOURCEDIR=debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS := --mandir=\$${prefix}/share/postgresql/$(MAJOR_VER)/man \
  --with-docdir=\$${prefix}/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datadir=\$${prefix}/share/postgresql/$(MAJOR_VER) \
  --bindir=\$${prefix}/lib/postgresql/$(MAJOR_VER)/bin \
  --includedir=\$${prefix}/include/postgresql/ \
  --enable-nls \
  --enable-integer-datetimes \
  --enable-debug \
  --disable-rpath \
  --with-openssl \
  --with-libxml \
  --with-libxslt \
  --with-gnu-ld \
  --with-system-tzdata=/usr/share/zoneinfo \
  --with-pgport=5432 \
  $(ARCH_OPTS) \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)'

DEB_DH_MAKESHLIBS_ARGS := -Xusr/lib/postgresql/$(MAJOR_VER)
DEB_DH_INSTALLCHANGELOGS_ARGS := build-tree/postgresql-*/HISTORY
DEB_COMPRESS_EXCLUDE := .source .c
DEB_DH_INSTALLINIT_ARGS := -u'defaults 19 21'

common-post-build-arch::
	# generate POT files for translators
	find build-tree -name nls.mk -exec sh -c "make -C \$$(dirname {}) init-po" \;
	
common-post-build-indep::
	# build tutorial stuff
	make -C build-tree/$(DEB_TAR_SRCDIR)/src/tutorial NO_PGXS=1

install/postgresql-doc-$(MAJOR_VER)::
	install build-tree/$(DEB_TAR_SRCDIR)/src/tutorial/*.c build-tree/$(DEB_TAR_SRCDIR)/src/tutorial/*.source build-tree/$(DEB_TAR_SRCDIR)/src/tutorial/Makefile build-tree/$(DEB_TAR_SRCDIR)/src/tutorial/README debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg)/tutorial

binary-predeb/postgresql-$(MAJOR_VER)::
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# patch away the "don't execute as root" check for the test
	# suite; doing it here will ensure that the actual debs have
	# the check.
	set -e; cd build-tree/$(DEB_TAR_SRCDIR); \
	patch --no-backup-if-mismatch -p1 < ../../debian/disable-root-check.patch; \
	make -C src/test/regress bigcheck || fail=1; \
	patch --no-backup-if-mismatch -Rp1 < ../../debian/disable-root-check.patch; \
	if [ -n "$$fail" ]; then \
	    for l in regression.diffs log/initdb.log log/postmaster.log; do \
	    	if [ -e src/test/regress/$$l ]; then \
		    echo "********* $$l *******"; \
		    cat src/test/regress/$$l; \
		fi; \
	    done; \
	    $(TESTSUITE_FAIL_CMD); \
	fi
endif

	# compress manpages
	find debian/postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/man -type f -exec gzip -9 '{}' \;

binary-predeb/postgresql-client-$(MAJOR_VER)::
	find debian/postgresql-client-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/man -type f -exec gzip -9 '{}' \;

# run tests in contrib in temporary test installations, using programs
# from build-tree
contrib-check:
	set -e; cd build-tree/$(DEB_TAR_SRCDIR)/contrib; \
	for d in *; do \
	    [ -d $$d/sql ] || continue; \
	    echo "==============  Running tests in $$d"; \
	    (cd $$d; \
	    if ! ../../src/test/regress/pg_regress --top-builddir=../.. --temp-install=$(CURDIR)/build-tree/tmp_check --dbname=contrib_regression `cd sql; ls *.sql | sed 's/.sql$$//'`; then \
		 cat regression.diffs; \
	    fi); \
	done

# run tests in contrib in temporary test installation, using programs
# from system installation
contrib-installcheck:
	# set up temporary db
	rm -rf build-tree/tmp_data
	mkdir build-tree/tmp_data
	/usr/lib/postgresql/$(MAJOR_VER)/bin/initdb -D build-tree/tmp_data
	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D build-tree/tmp_data -l build-tree/tmp_data/postgres.log -o '-k /tmp' start
	# wait until it started up
	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
	sleep 1
	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
	# run the tests
	-cd build-tree/$(DEB_TAR_SRCDIR)/contrib; make installcheck
	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D build-tree/tmp_data stop
	# find and print the regression diffs
	find build-tree/$(DEB_TAR_SRCDIR)/contrib/ -name regression.diffs -exec cat '{}' \;

=== debian/watch ===
version=3
http://ftp8.us.postgresql.org/postgresql/source/(v8\.3.*)/postgresql-(8\.3.*)\.tar\.bz2

## postgresql-8.3 8.3.23~20220624.1251-7~1.git3ae3089.pgdg120+1

=== debian/changelog ===
postgresql-8.3 (8.3.23~20220624.1251-7~1.git3ae3089.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.3.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:06 +0100

postgresql-8.3 (8.3.23-7) unstable; urgency=medium

  * R³: no.
  * run-testsuite: Test only this version.
  * psql uses sensible-editor, depend on sensible-utils.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Dec 2021 17:31:06 +0100

postgresql-8.3 (8.3.23-6) unstable; urgency=medium

  * Disable plpython2 package.
  * Remove obsolete Replaces.
  * Add debian/gitlab-ci.yml.
  * debian/tests: Also run regression tests.
  * Use secure copyright file specification URI. (Debian Janitor)
  * Accept xml regression difference on xenial.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Oct 2019 20:55:41 +0200

postgresql-8.3 (8.3.23-5) sid-pgdg; urgency=medium

  * Depend on locales | locales-all. Suggested by Elrond, thanks!
    (Closes: #916655)
  * Build-Depend on tcl-dev instead of on a specific version.
  * Disable ssl; package supports OpenSSL 1.0 only which got removed
    from unstable.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Mar 2019 09:32:25 +0100

postgresql-8.3 (8.3.23-4) sid-pgdg; urgency=medium

  * Bump tcl version to 8.6.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Nov 2018 09:54:12 +0100

postgresql-8.3 (8.3.23-3.pgdg+1) sid-pgdg; urgency=medium

  * Remove empty conf.d directory on purge, even when postgresql-common
    was already removed. (Closes: #877264)

 -- Christoph Berg <myon@debian.org>  Wed, 20 Jun 2018 17:48:26 +0200

postgresql-8.3 (8.3.23-2.pgdg+1) sid-pgdg; urgency=medium

  * Remove hardening-wrapper logic, it's being removed from sid.
  * debian/control: Add alternative dependency on libssl1.0-dev.
  * libpq-dev: Remove dependency on libssl-dev (and comerr-dev and
    libkrb5-dev) to unbreak co-installation with libssl1.0-dev.

 -- Christoph Berg <myon@debian.org>  Sat, 23 Sep 2017 13:57:48 +0200

postgresql-8.3 (8.3.23-1.pgdg+2) sid-pgdg; urgency=medium

  * Add -fno-aggressive-loop-optimizations to CFLAGS, cf.
    http://stackoverflow.com/a/34204352/3872653.

 -- Christoph Berg <myon@debian.org>  Sat, 06 Aug 2016 23:00:33 +0200

postgresql-8.3 (8.3.23-1.pgdg+1) sid-pgdg; urgency=medium

  [ Martin Pitt ]
  * Add missing docbook build dependency. (Closes: #697618)

  [ Christoph Berg ]
  * New upstream version.
    + Prevent execution of enum_recv from SQL
      The function was misdeclared, allowing a simple SQL command to crash the
      server.  In principle an attacker might be able to use it to examine the
      contents of server memory.  Our thanks to Sumit Soni (via Secunia SVCRP)
      for reporting this issue. (CVE-2013-0255)
  * debian/patches/03-gettext-domains.patch: Refresh.
  * debian/tests: Moved autopkgtest integration here from postgresql-common.
  * debian/rules: Remove the temporary patches from pg_regress, and teach
    pg_regress to support unix socket dirs in --host.
  * debian/rules: Call pg_regress with a random port number.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Feb 2013 10:21:56 +0100

postgresql-8.3 (8.3.22-1.pgdg+1) sid-pgdg; urgency=low

  * New upstream bug fix release.
  * Refreshed debian/patches/03-gettext-domains.patch.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Dec 2012 17:44:57 +0100

postgresql-8.3 (8.3.21-1.pgapt+1) sid-pgdg; urgency=low

  * New upstream bug fix release.
     * Improve page-splitting decisions in GiST indexes (Alexander
       Korotkov, Robert Haas, Tom Lane)
       Multi-column GiST indexes might suffer unexpected bloat due to this
       error.
     * Fix cascading privilege revoke to stop if privileges are still held
       (Tom Lane)
       If we revoke a grant option from some role "X", but "X" still holds
       that option via a grant from someone else, we should not
       recursively revoke the corresponding privilege from role(s) "Y"
       that "X" had granted it to.
     * Fix handling of SIGFPE when PL/Perl is in use (Andres Freund)
       Perl resets the process's SIGFPE handler to SIG_IGN, which could
       result in crashes later on. Restore the normal Postgres signal
       handler after initializing PL/Perl.
     * Prevent PL/Perl from crashing if a recursive PL/Perl function is
       redefined while being executed (Tom Lane)
     * Work around possible misoptimization in PL/Perl (Tom Lane)
       Some Linux distributions contain an incorrect version of
       "pthread.h" that results in incorrect compiled code in PL/Perl,
       leading to crashes if a PL/Perl function calls another one that
       throws an error.
     * Update time zone data files to tzdata release 2012f for DST law
       changes in Fiji

 -- Christoph Berg <myon@debian.org>  Mon, 01 Oct 2012 15:49:30 +0200

postgresql-8.3 (8.3.20-1.pgapt+1) sid-pgapt; urgency=low

  * New upstream bug fix release.
     * Prevent access to external files/URLs via XML entity references
       (Noah Misch, Tom Lane)
       xml_parse() would attempt to fetch external files or URLs as needed
       to resolve DTD and entity references in an XML value, thus allowing
       unprivileged database users to attempt to fetch data with the
       privileges of the database server. While the external data wouldn't
       get returned directly to the user, portions of it could be exposed
       in error messages if the data didn't parse as valid XML; and in any
       case the mere ability to check existence of a file might be useful
       to an attacker. (CVE-2012-3489)
     * Prevent access to external files/URLs via "contrib/xml2"'s
       xslt_process() (Peter Eisentraut)
       libxslt offers the ability to read and write both files and URLs
       through stylesheet commands, thus allowing unprivileged database


## postgresql-8.3 8.3.23~20220624.1251-7~1.git3ae3089.pgdg+1

=== debian/changelog ===
postgresql-8.3 (8.3.23~20220624.1251-7~1.git3ae3089.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.3.
    + Enabling cassert.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:06 +0100
